Subject: Re: [PATCH] submodules: update documentaion for submodule branches

From: Brandon Williams <[email-masked]>
Date: Wed, 19 Oct 2016 16:01:30 -0700

On 10/19, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Brandon Williams <[email-masked]> writes:
> >
> >> Update the documentaion for the the special value `.` to indicate that
> >> it signifies that the tracking branch in the submodule should be the
> >> same as the current branch in the superproject.
> >
> > Thanks.  Will typofix while extending with info supplied by Stefan
> > like so:
> 
> Ugh.  Should have proof-read before sending it out.
> 
> >     4d7bc52b17 ("submodule update: allow '.' for branch value",
> >     2016-08-03) adopted from Gerrit a feature to set "." as a special
> >     value of "submodule.<name>.branch" in .gitmodules file to indicate
> >     that it signifies that the tracking branch in the submodule should
> >     be the same as the current branch in the superproject.
> 
>     ... in .gitmodules file to indicate that the tracking branch in
>     the submodule should be ...
> 
> "to indicate that it signifies that" was overly redundant.

Sorry that seems to have stemed from my poor commit message.

-- 
Brandon Williams